Project

General

Profile

Bug #2033

Error installing Logitech Media Server in Amahi 9

Added by matteocp over 4 years ago. Updated over 4 years ago.

Status:
Closed
Priority:
Normal
Assignee:
Category:
Apps
Target version:
Start date:
04/27/2016
Due date:
% Done:

0%


Description

App installer log...

/var/hda/platform/html/lib/downloader.rb:104:in `download': http://mirror.amahi.org/2f28328380002d3ff1fb0c1114f94e218adab0b2 (from original http://downloads-origin.slimdevices.com/nightly/7.9/sc/6cad46d/logitechmediaserver-7.9.0-0.1.1460119815.noarch.rpm), '95a7e2e0ccea21868c9cc1f746cf9811c164d5c9' vs. '2f28328380002d3ff1fb0c1114f94e218adab0b2'  (Downloader::SHA1VerificationFailed)
        from /var/hda/platform/html/lib/downloader.rb:50:in `download_and_check_sha1'
        from /var/hda/platform/html/lib/platform.rb:400:in `pkginstall'
        from /var/hda/platform/html/lib/platform.rb:218:in `install'
        from /var/hda/platform/html/app/models/app.rb:371:in `install_pkgs'
        from /var/hda/platform/html/app/models/app.rb:192:in `install_bg'
        from /var/hda/platform/html/script/install-app:86:in `install_or_uninstall'
        from /var/hda/platform/html/script/install-app:107:in `main'
        from /var/hda/platform/html/script/install-app:119:in `<main>'
=======  app install begin      @  2016-04-27 20:23:45 -0500 ==========
Installing   app id 3ts0kzc0i1 under /var/hda/platform/html/script/.. ENV=production
file /var/hda/tmp/amahi-download-cache/2f28328380002d3ff1fb0c1114f94e218adab0b2 written in cache
WARNING: primary downloaded file /var/hda/tmp/amahi-download-cache/2f28328380002d3ff1fb0c1114f94e218adab0b2 did not pass signature check - got c8f0bad24a6bcdeb20cb613b810771030734428a, expected 2f28328380002d3ff1fb0c1114f94e218adab0b2
new file /var/hda/tmp/amahi-download-cache/2f28328380002d3ff1fb0c1114f94e218adab0b2 from Amahi's cache written in the cache

History

#1 Updated by bigfoot65 over 4 years ago

  • Status changed from New to Feedback
  • Assignee set to matteocp

Please uninstall the app and reinstall.

Report back if there is still issues. Otherwise if it works, please close bug.

#2 Updated by matteocp over 4 years ago

The error prevented the app from being installed in the first place...so there is nothing to uninstall.

#3 Updated by bigfoot65 over 4 years ago

Ok, so did you install? Is it working?

#4 Updated by matteocp over 4 years ago

Not sure if there is some confusion but I tried to install from the dashboard and received an error which told me to look at the log that I posted. LMS did not install because of the error. Here is the error from the Amahi dashboard:

This app failed to install :-( We REALLY HATE that.This could be due to a bug, slow failed network, app bug or other changes to the system.
Please share the logs (in Linux, via terminal or SSH) using "apaste" as follows:tail -600 /var/log/amahi-app-installer.log | apaste
If you feel this is a bug we at the Amahi Team would like to hear from you via the forums the bug tracker or the IRC support channel.

There is some kind of verification error in the log that I don't understand.

Separate from that, I think the file Amahi is trying to download (http://downloads-origin.slimdevices.com/nightly/7.9/sc/6cad46d/logitechmediaserver-7.9.0-0.1.1460119815.noarch.rpm) does not even exist on the slimdevices.com site...not sure if this is causing the error or is just secondary to the validation error noted in the log.

So to answer your question, I did not install because I couldn't.

#5 Updated by matteocp over 4 years ago

Not sure if you did something on your end but it is now installing from the dashboard and seems to be working fine.

#6 Updated by cpg over 4 years ago

  • Description updated (diff)

#7 Updated by bigfoot65 over 4 years ago

  • Status changed from Feedback to Closed

Yes I updated the download. That is why I asked you to install and let us know if it worked.

Closing this bug as its resolved.

Also available in: Atom